Subject: Re: IMAP in Java

From: "Russ Atkind" <[email-masked]>
Date: Tue, 19 May 1998 16:03:04 -0400

--On Tuesday, "Laurent Thérond" wrote: 

> Besides, some people on this list seem to disagree with Sun's 
> implementation of IMAP.

Since I'm in the middle of writing my own service provider for Sun's
JavaMail API and IMAP, I'm interested in what you're referring to.  There
hasn't really been any discussion about JavaMail at all on this list.  Do
you mean that you believe Sun's implementation to contradict some of the
general principles that people on this list have stated?  If so, what in
particular?

> I agree, but there is no source code.

I can think of some reasons myself, but I'm interested in what you think:
why is the source code necessary?  Sun has provided an API and documented
how it works -- perhaps not as fully as one would like, but I think they
would be willing to answer questions and possibly work with an implementor
to draw up more complete documentation.

Having done some work on a Java implementation of IMAP, I may be interested
in "Jazilla."

Russ

> 
> ----Original Message Follows----
> 
> At 12:20 PM -0700 5/19/98, Laurent Thirond wrote:
>>This being said, I need your advice, feedback, help, support. Is there
>>any document, paper, report, I could use to code a fair implementation
>>of IMAP? Do you know any source code I could work from?
> 
> You should go look at:
> 
> 	http://java.sun.com/products/javamail/index.html
> 
> It has most of what you would need to write a good email program in 
> Java.
> Not only does it have support for connecting to an IMAP server, but also
> many of the MIME and Message classes that you would need to write 
> yourself.
> 
> 
> ___________________
> Christopher Cotton
> AT&T Labs, Engineer
> 
> 
> 
> 
> 
> 
> ______________________________________________________
> Get Your Private, Free Email at http://www.hotmail.com